import ReadCameraPage from "@/pages/ReadCameraPage.vue";
import ReadListPage from "@/pages/ReadListPage.vue";
import AuthRedirect from '@/components/auth/AuthRedirect.vue';
const appRoutes = [
    {
        path: "/",
        alias: "/home",
        name: "home",
        component: () => import('@/pages/HomePage.vue'),
        // beforeEnter: (to:any, from:any, next:any) => {
        //     if (store.getters.isAuthenticated) {
        //         next("/list");
        //     } else {
        //         next();
        //     }
        // }
    },
    {
        path: "/read/cameara/:id",
        name: "ReadProduct",
        component: ReadCameraPage,
        props: true,
        meta: {
            requiresAuth: false,
            // enterTransition: "rubberBand"
        }
    },
    {
        path: "/list",
        component: ReadListPage,
        props: true,
        meta: {
            requiresAuth: false,
            // enterTransition: "rubberBand"
        }
    },
    {
        path: "/auth",
        component: AuthRedirect,
        props: true,
        meta: {
            requiresAuth: true,
            // enterTransition: "rubberBand"
        }
    },
    {
        path: "/profile",
        component: AuthRedirect,
        props: true,
        meta: {
            requiresAuth: true,
            // enterTransition: "rubberBand"
        }
    },
];
export default appRoutes;
//# sourceMappingURL=app-routes.js.map