import InventoryItem from "@/store/classes/InventoryItem";
export class Lens extends InventoryItem {
    ADD_FIELDS = ['mount_key', 'autofocus', 'aperture_max', 'focal_length_min', 'focal_length_max'];
    _mount_key;
    _autofocus;
    _aperture_max;
    _focal_length_min;
    _focal_length_max;
    constructor(id, name, values) {
        super(id, name, values);
        this._item_type = "lens";
        if (typeof values != "undefined") {
            for (const field of this.ADD_FIELDS) {
                if (field in values)
                    this["_" + field] = values[field];
            }
        }
    }
}
const camera2 = new Lens(null, "Pentax K30", {
    manufacturer_key: "manufacturere",
    brand_key: "brand",
    condition_key: "condition",
    buildtype_key: "buildtype",
    autofocus: true,
});
console.log(camera2);
//# sourceMappingURL=Lens.js.map